from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModel
from slashdb.dbproxies.sqlalchemy_sdb.model import SQLAlchemyModuleMaker

from .dbconfig import OracleDBConfig
from .dataproxy import OracleDataProxy, OracleSQLTypeConverter
from .constants import DB_TYPES
from .patches import patch_oracle

__version__ = '1.2.1'

patch_oracle()


class OracleModel(SQLAlchemyModel):
    db_types = DB_TYPES
    sql_type_converter = OracleSQLTypeConverter()


class OracleModuleMaker(SQLAlchemyModuleMaker):
    db_types = DB_TYPES
    model_class = OracleModel


ModuleMaker = OracleModuleMaker
Model = OracleModel
DataProxy = OracleDataProxy
DBConfig = OracleDBConfig
DB_TYPES = DB_TYPES
